summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtcwg-upstream2gerrit.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tcwg-upstream2gerrit.sh b/tcwg-upstream2gerrit.sh
index 88899321..c20eb519 100755
--- a/tcwg-upstream2gerrit.sh
+++ b/tcwg-upstream2gerrit.sh
@@ -37,7 +37,12 @@ fi
patches=$(echo "$patches" | sed -e "s/last/$last_id/g")
-clone_or_update_repo $project refs/heads/$branch https://git-us.linaro.org/toolchain/$project
+refdir=/home/tcwg-buildslave/snapshots-ref/$project.git
+if ! [ -d $refdir/.git ]; then
+ refdir=""
+fi
+
+clone_or_update_repo $project refs/heads/$branch https://git-us.linaro.org/toolchain/$project $refdir
cd $project
cat > .gitreview <<EOF